FROM nginx:alpine

# Очищаем стандартную папку Nginx, чтобы удалить дефолтный index.html
RUN rm -rf /usr/share/nginx/html/*

# Копируем содержимое вашей папки
COPY ["Dekra WebSite", "/usr/share/nginx/html"]

# Копируем конфиг
COPY vhost.conf /etc/nginx/conf.d/default.conf

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]